
Redmine - Feature #398

Watcher list when new issue

2007-07-31 07:01 - Takashi Nishi

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.8.1   

Resolution: Fixed   

Description

The watch function is useful function.

But it would be better for the new issue reporter to be able to

select the members to be a watcher(like "Carbon Copy" of email).

This forces the key person(member) to receive the notifications

when the issue changed even if he unchecked the "Mail notifications"

checkbox on "My account" page.

Thanks.

Related issues:

Related to Redmine - Feature #1338: Allow review watch list Closed 2008-05-31

Has duplicate Redmine - Feature #515: Add 'watchers' pro-actively. Closed

Has duplicate Redmine - Feature #878: Add a "Notify these users:" option when... Closed 2008-03-17

Has duplicate Redmine - Feature #2375: Add select watcher option to the New I... Closed 2008-12-22

Associated revisions

Revision 1712 - 2008-08-03 11:14 - Jean-Philippe Lang

Adds permissions for viewing the watcher list and adding new watchers on the issue detail view (#398).

Revision 2164 - 2008-12-22 20:21 - Jean-Philippe Lang

Adds watchers selection on new issue form (#398). Permission 'add issue watchers' required.

History

#1 - 2007-09-07 07:53 - Mij Ant

Voting this!

#2 - 2007-09-20 03:52 - tof b

I really need that too !

#3 - 2007-12-17 17:37 - Maxim Krušina

Exactly! We have migrated from Trac and now we're missing Trac's

CC filed so much! Please help! ;)

#4 - 2008-03-25 10:30 - Ina Lohr

I also need this feature of CC notification dearly.

I will wait for the next release and hope that it will be implemented soon, as this issue is open since 7 months....

#5 - 2008-11-05 19:01 - Luiz Carlos Junior

+1

#6 - 2008-11-16 12:18 - Szabolcs Szasz

Weee, so many kind supporters for this! (Strange this so much needed issue is sill missing for more than a year. I wish I had the RoR knowhow to

implement this myself.)

This omission makes our life here (a non-profit civil org. with 50+ projects) sometimes frustrating with Redmine.
Thanks in advance,

Sz.

#7 - 2008-12-22 20:19 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

Feature added in r2164.

#8 - 2008-12-29 16:21 - Jean-Philippe Lang

- Target version set to 0.8.1

#9 - 2008-12-30 14:31 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#10 - 2009-01-27 21:30 - Martin Eckhardt

Wouldn't it be nice, if one can add "watchers" to a ticket during the lifetime of a ticket (but not at issue creation). I know this feature from Jira and find

it quite useful to stay up2date about issues (e.g. useful to add QMs to tickets to make them aware of things or whatever).

#11 - 2009-01-28 20:16 - Martin Eckhardt

Martin Eckhardt wrote:

Wouldn't it be nice, if one can add "watchers" to a ticket during the lifetime of a ticket (but not at issue creation). I know this feature from Jira and

find it quite useful to stay up2date about issues (e.g. useful to add QMs to tickets to make them aware of things or whatever).

 Narf you have implemented it :)
